Bug 126067 - [MAINTAINER] math/isabelle: update from 2007 to 2008
Summary: [MAINTAINER] math/isabelle: update from 2007 to 2008
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-29 07:50 UTC by Timothy Bourke
Modified: 2008-08-15 05:40 UTC (History)
0 users

See Also:


Attachments
isabelle-2008.patch (117.20 KB, patch)
2008-07-29 07:50 UTC, Timothy Bourke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Bourke 2008-07-29 07:50:02 UTC
- Update to 2008

Please commit this change simultaneously with those for lang/polyml and
math/proofgeneral, which were submitted simultaneously.

Updates the port to the latest Isabelle release. It does not seem worth the
effort to continually patch the bash script files to make them work under
sh, hence the large number of removed files.

Config options are added for:
  * configuring readline wrappers
  * building and installing optional heaps

Removed file(s):
- files/patch-bin-Isabelle
- files/patch-bin-isabelle
- files/patch-bin-isabelle_interface
- files/patch-bin-isabelle_process
- files/patch-bin-isatool
- files/patch-build
- files/patch-lib-Tools-browser
- files/patch-lib-Tools-codegen
- files/patch-lib-Tools-convert
- files/patch-lib-Tools-dimacs2hol
- files/patch-lib-Tools-display
- files/patch-lib-Tools-doc
- files/patch-lib-Tools-document
- files/patch-lib-Tools-expandshort
- files/patch-lib-Tools-findlogics
- files/patch-lib-Tools-fixcpure
- files/patch-lib-Tools-fixgreek
- files/patch-lib-Tools-fixheaders
- files/patch-lib-Tools-fixsome
- files/patch-lib-Tools-getenv
- files/patch-lib-Tools-install
- files/patch-lib-Tools-keywords
- files/patch-lib-Tools-latex
- files/patch-lib-Tools-logo
- files/patch-lib-Tools-make
- files/patch-lib-Tools-makeall
- files/patch-lib-Tools-mkdir
- files/patch-lib-Tools-mkproject
- files/patch-lib-Tools-print
- files/patch-lib-Tools-unsymbolize
- files/patch-lib-Tools-usedir
- files/patch-lib-Tools-version
- files/patch-lib-scripts-configure
- files/patch-lib-scripts-feeder
- files/patch-lib-scripts-fileindent
- files/patch-lib-scripts-getsettings
- files/patch-lib-scripts-patch_scripts.bash
- files/patch-lib-scripts-polyml_platform
- files/patch-lib-scripts-polyml_version
- files/patch-lib-scripts-run_mosml
- files/patch-lib-scripts-run_polyml
- files/patch-lib-scripts-run_polyml_5.0
- files/patch-lib-scripts-run_polyml_5.1
- files/patch-lib-scripts-run_poplogml
- files/patch-lib-scripts-timestart.bash
- files/patch-lib-scripts-timestop.bash
- files/patch-src-Pure-mk

Generated with FreeBSD Port Tools 0.77
Comment 1 Timothy Bourke 2008-08-04 05:11:43 UTC
To test the Isabelle installation (and Proofgeneral, and Poly/ML):
1) type Isabelle
   xemacs should open with the Proofgeneral splash screen (a cartoon
   image of a general smoking a cigar).
2) choose Open and select one of the files from
      /usr/local/share/isabelle/src/HOL/ex
   for example: Sudoku.thy
3) It should load with the mathematical symbols (not equal to,
   conjunction wedge, etc.) displayed correctly
4) Press Ctrl-c, Ctrl-n to start Isabelle
5) Press Ctrl-c, Ctrl-n to step through the statements, which become
   gradually highlighted in blue, as various data is displayed in the
   lower panel.
Comment 2 Edwin Groothuis freebsd_committer 2008-08-15 05:32:54 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2008-08-15 05:33:13 UTC
edwin       2008-08-15 04:33:05 UTC

  FreeBSD ports repository

  Modified files:
    math/isabelle        Makefile distinfo pkg-plist 
    math/isabelle/files  patch-etc-settings 
                         patch-lib-scripts-run_smlnj 
  Removed files:
    math/isabelle/files  patch-bin-Isabelle patch-bin-isabelle 
                         patch-bin-isabelle_interface 
                         patch-bin-isabelle_process 
                         patch-bin-isatool patch-build 
                         patch-lib-Tools-browser 
                         patch-lib-Tools-codegen 
                         patch-lib-Tools-convert 
                         patch-lib-Tools-dimacs2hol 
                         patch-lib-Tools-display 
                         patch-lib-Tools-doc 
                         patch-lib-Tools-document 
                         patch-lib-Tools-expandshort 
                         patch-lib-Tools-findlogics 
                         patch-lib-Tools-fixcpure 
                         patch-lib-Tools-fixgreek 
                         patch-lib-Tools-fixheaders 
                         patch-lib-Tools-fixsome 
                         patch-lib-Tools-getenv 
                         patch-lib-Tools-install 
                         patch-lib-Tools-keywords 
                         patch-lib-Tools-latex 
                         patch-lib-Tools-logo patch-lib-Tools-make 
                         patch-lib-Tools-makeall 
                         patch-lib-Tools-mkdir 
                         patch-lib-Tools-mkproject 
                         patch-lib-Tools-print 
                         patch-lib-Tools-unsymbolize 
                         patch-lib-Tools-usedir 
                         patch-lib-Tools-version 
                         patch-lib-scripts-configure 
                         patch-lib-scripts-feeder 
                         patch-lib-scripts-fileindent 
                         patch-lib-scripts-getsettings 
                         patch-lib-scripts-patch_scripts.bash 
                         patch-lib-scripts-polyml_platform 
                         patch-lib-scripts-polyml_version 
                         patch-lib-scripts-run_mosml 
                         patch-lib-scripts-run_polyml 
                         patch-lib-scripts-run_polyml_5.0 
                         patch-lib-scripts-run_polyml_5.1 
                         patch-lib-scripts-run_poplogml 
                         patch-lib-scripts-timestart.bash 
                         patch-lib-scripts-timestop.bash 
                         patch-src-Pure-mk 
  Log:
  [MAINTAINER] math/isabelle: update from 2007 to 2008
  
          Updates the port to the latest Isabelle release. It does
          not seem worth the effort to continually patch the bash
          script files to make them work under sh, hence the large
          number of removed files.
  
  PR:             ports/126067
  Submitted by:   Timothy Bourke <timbob@bigpond.com>
  
  Revision  Changes    Path
  1.10      +111 -12   ports/math/isabelle/Makefile
  1.5       +9 -9      ports/math/isabelle/distinfo
  1.2       +0 -8      ports/math/isabelle/files/patch-bin-Isabelle (dead)
  1.2       +0 -8      ports/math/isabelle/files/patch-bin-isabelle (dead)
  1.2       +0 -23     ports/math/isabelle/files/patch-bin-isabelle_interface (dead)
  1.3       +0 -32     ports/math/isabelle/files/patch-bin-isabelle_process (dead)
  1.2       +0 -32     ports/math/isabelle/files/patch-bin-isatool (dead)
  1.3       +0 -32     ports/math/isabelle/files/patch-build (dead)
  1.5       +32 -17    ports/math/isabelle/files/patch-etc-settings
  1.3       +0 -26     ports/math/isabelle/files/patch-lib-Tools-browser (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-codegen (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-convert (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-dimacs2hol (dead)
  1.3       +0 -26     ports/math/isabelle/files/patch-lib-Tools-display (dead)
  1.4       +0 -26     ports/math/isabelle/files/patch-lib-Tools-doc (dead)
  1.2       +0 -44     ports/math/isabelle/files/patch-lib-Tools-document (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-expandshort (dead)
  1.3       +0 -17     ports/math/isabelle/files/patch-lib-Tools-findlogics (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-fixcpure (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-fixgreek (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-fixheaders (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-fixsome (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-getenv (dead)
  1.2       +0 -54     ports/math/isabelle/files/patch-lib-Tools-install (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-keywords (dead)
  1.2       +0 -65     ports/math/isabelle/files/patch-lib-Tools-latex (dead)
  1.2       +0 -26     ports/math/isabelle/files/patch-lib-Tools-logo (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-make (dead)
  1.3       +0 -26     ports/math/isabelle/files/patch-lib-Tools-makeall (dead)
  1.3       +0 -26     ports/math/isabelle/files/patch-lib-Tools-mkdir (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-mkproject (dead)
  1.2       +0 -26     ports/math/isabelle/files/patch-lib-Tools-print (dead)
  1.2       +0 -17     ports/math/isabelle/files/patch-lib-Tools-unsymbolize (dead)
  1.3       +0 -48     ports/math/isabelle/files/patch-lib-Tools-usedir (dead)
  1.3       +0 -8      ports/math/isabelle/files/patch-lib-Tools-version (dead)
  1.2       +0 -15     ports/math/isabelle/files/patch-lib-scripts-configure (dead)
  1.2       +0 -26     ports/math/isabelle/files/patch-lib-scripts-feeder (dead)
  1.2       +0 -8      ports/math/isabelle/files/patch-lib-scripts-fileindent (dead)
  1.3       +0 -30     ports/math/isabelle/files/patch-lib-scripts-getsettings (dead)
  1.2       +0 -37     ports/math/isabelle/files/patch-lib-scripts-patch_scripts.bash (dead)
  1.3       +0 -8      ports/math/isabelle/files/patch-lib-scripts-polyml_platform (dead)
  1.3       +0 -8      ports/math/isabelle/files/patch-lib-scripts-polyml_version (dead)
  1.2       +0 -35     ports/math/isabelle/files/patch-lib-scripts-run_mosml (dead)
  1.3       +0 -45     ports/math/isabelle/files/patch-lib-scripts-run_polyml (dead)
  1.2       +0 -50     ports/math/isabelle/files/patch-lib-scripts-run_polyml_5.0 (dead)
  1.2       +0 -50     ports/math/isabelle/files/patch-lib-scripts-run_polyml_5.1 (dead)
  1.2       +0 -59     ports/math/isabelle/files/patch-lib-scripts-run_poplogml (dead)
  1.3       +6 -54     ports/math/isabelle/files/patch-lib-scripts-run_smlnj
  1.2       +0 -16     ports/math/isabelle/files/patch-lib-scripts-timestart.bash (dead)
  1.2       +0 -44     ports/math/isabelle/files/patch-lib-scripts-timestop.bash (dead)
  1.3       +0 -26     ports/math/isabelle/files/patch-src-Pure-mk (dead)
  1.7       +163 -331  ports/math/isabelle/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"